org.eclipse.actf.visualization.eval

## Interface ICheckerInfoProvider

    public interface ICheckerInfoProvider

Interface to provide additional guideline/evaluation item information implemented in the checkers extension

### Method Summary

Methods
`InputStream[]` `getCheckItemInputStreams()`
`ResourceBundle` `getDescriptionRB()`
`InputStream[]` `getGuidelineInputStreams()`

### Method Detail

#### getGuidelineInputStreams

    InputStream[] getGuidelineInputStreams()

Returns:
  array of `InputStream` for guideline.xml

#### getCheckItemInputStreams

    InputStream[] getCheckItemInputStreams()

Returns:
  array of `InputStream` for checkitem.xml

#### getDescriptionRB

    ResourceBundle getDescriptionRB()

Returns:
  a `ResourceBundle` to obtain messages for each evaluation item